## gmidimonitor 3.5

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import os, Logs, Options

top = '.'
out = 'build'
APPNAME='gmidimonitor'
VERSION='3.5'

optfeatures = {
    'jack': {'description': 'JACK MIDI support',
             'site': 'http://jackaudio.org/'},
    'alsa': {'description': 'ALSA MIDI support',
             'site': 'http://www.alsa-project.org/'},
    'lash': {'description': 'LASH support',
             'site': 'http://www.nongnu.org/lash/',
             'package': 'lash-1.0'},
    }

def display_line(text = ""):
    Logs.pprint('NORMAL', text)

def display_value(ctx, text, value, color = 'NORMAL'):
    ctx.msg(text, value, color)

def display_feature(ctx, opt):
    if optfeatures[opt]['build']:
        color = 'GREEN'
    else:
        color = 'YELLOW'

    display_value(ctx, optfeatures[opt]['description'], optfeatures[opt]['status'], color)

def add_cflag(ctx, flag):
    ctx.env.append_unique('CXXFLAGS', flag)
    ctx.env.append_unique('CFLAGS', flag)

def add_linkflag(ctx, flag):
    ctx.env.append_unique('LINKFLAGS', flag)

def add_opt_feature(opt, feature, help):
    help = "Whether to build " + help + ", possible values: 'yes', 'no' and 'auto'. Default is 'auto'."
    opt.add_option('--' + feature, type='choice', choices=['auto', 'yes', 'no'], default='auto', help=help)

def options(opt):
    opt.load('compiler_c')
    for k, v in optfeatures.items():
        add_opt_feature(opt, k, v['description'])

def check_opt_packages(ctx):
    for opt, v in optfeatures.items():
        site = v['site']
        try:
            package = v['package']
        except KeyError:
            package = opt

        value = getattr(Options.options, opt)
        if value == 'no':
            optfeatures[opt]['build'] = False
            optfeatures[opt]['status'] = 'disabled (requested)'
        else:
            mandatory = value == 'yes'
            if mandatory:
                errmsg = 'not found, check ' + site
            else:
                errmsg = 'not found'
            optfeatures[opt]['build'] = bool(ctx.check_cfg(package = package, mandatory = mandatory, args = '--cflags --libs', errmsg = errmsg))
            if optfeatures[opt]['build']:
                if mandatory:
                    optfeatures[opt]['status'] = 'enabled (requested)'
                else:
                    optfeatures[opt]['status'] = 'enabled (auto)'
            else:
                optfeatures[opt]['status'] = 'disabled, package ' + package + ' not found, check ' + site

        ctx.env['BUILD_' + opt.upper()] = optfeatures[opt]['build']

def configure(ctx):
    ctx.load('compiler_c')

    ctx.check_cfg(
        package = 'gtk+-2.0',
        errmsg = "not installed, see http://www.gtk.org/",
        args = '--cflags --libs')

    ctx.check_cfg(
        package = 'libglade-2.0',
        errmsg = "not installed, see http://www.gtk.org/",
        args = '--cflags --libs')

    ctx.check_cfg(
        package = 'gthread-2.0',
        errmsg = "not installed, see http://www.gtk.org/",
        args = '--cflags --libs')

    ctx.check_cfg(
        package = 'gmodule-2.0',
        errmsg = "not installed, see http://www.gtk.org/",
        args = '--cflags --libs')

    check_opt_packages(ctx)

    if not optfeatures['jack']['build'] and not optfeatures['alsa']['build']:
        display_line()
        display_feature(ctx, 'alsa')
        display_feature(ctx, 'jack')
        ctx.fatal("Neither JACK nor ALSA is available")

    ctx.env['DATA_DIR'] = os.path.normpath(os.path.join(ctx.env['PREFIX'], 'share', APPNAME))

    add_cflag(ctx, '-Wall')
    #add_cflag(ctx, '-Wuninitialized')
    #add_cflag(ctx, '-O3')
    #add_cflag(ctx, '-g')
    #add_linkflag(ctx, '-g')

    display_line()
    display_line('==================')
    display_value(ctx, 'Prefix', ctx.env['PREFIX'])
    display_feature(ctx, 'jack')
    display_feature(ctx, 'alsa')
    display_feature(ctx, 'lash')
    display_line('==================')
    display_line()

    ctx.define('PACKAGE_VERSION', VERSION)
    ctx.define('APPNAME', APPNAME)
    ctx.define('DATA_DIR', ctx.env['DATA_DIR'])
    ctx.write_config_header('config.h')

def build(ctx):
    source = [
        "main.c",
        "about.c",
        "path.c",
        "glade.c",
        "gm.c",
        "log.c",
        "memory_atomic.c",
        "sysex.c",
        ]
    uselib = ['GTK+-2.0', 'GTHREAD-2.0', 'LIBGLADE-2.0', 'GMODULE-2.0']

    if ctx.env['BUILD_JACK']:
        source.append("jack.c")
        uselib.append('JACK')

    if ctx.env['BUILD_ALSA']:
        source.append("alsa.c")
        uselib.append('ALSA')

    if ctx.env['BUILD_LASH']:
        uselib.append('LASH-1.0')

    ctx.program(
        source = source,
        features = 'c cprogram',
        includes = ".",
        target = 'gmidimonitor',
        uselib = uselib,
        )

    ctx.install_files('${DATA_DIR}', 'gmidimonitor.glade')

## gmidimonitor 3.4+git20101220

=== debian/changelog ===
gmidimonitor (3.4+git20101220-2) unstable; urgency=low

  * debian/control: Add lashd to Suggests. (Closes: #620268)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 05 Apr 2011 21:39:37 +0900

gmidimonitor (3.4+git20101220-1) unstable; urgency=low

  * Initial release (Closes: #609779)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 24 Jan 2011 13:10:41 +0900

=== debian/control ===
Source: gmidimonitor
Section: sound
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
	libglade2-dev,
	libjack-jackd2-dev,
	libasound2-dev,
	liblash-dev,
	pkg-config,
Standards-Version: 3.9.1
Homepage: http://home.gna.org/gmidimonitor/
#Vcs-Git: git://git.debian.org/collab-maint/gmidimonitor.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/gmidimonitor.git;a=summary

Package: gmidimonitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lashd
Description: GTK+ application that shows MIDI events
 GMIDImonitor is GTK+ application that shows MIDI events.
 .
 You need to connect desired source of MIDI events to gmidimonitor
 input using some kind of patchbay like qjackctl, patchage. For
 restoring  connections (not connecting every time) you can use LASH.

## gmidimonitor 3.5

=== debian/changelog ===
gmidimonitor (3.5-2) unstable; urgency=low

  * Build-Depend on libjack-dev only (Closes: #628712).

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 Jun 2011 10:44:47 +0200

gmidimonitor (3.5-1) unstable; urgency=low

  [ TANIGUCHI Takaki ]
  * debian/control: Change Maintainer to Debian Multimedia Team.

  [ Alessio Treglia ]
  * Add myself as uploader.
  * New upstream release:
    - Switch to waf
    - Drop support for ancient JACK lib
    - Add support for modern ALSA lib
    - Use fixed client name
    - Don't try to use lash when started through ladish
    - jack and alsa selection at runtime
    - clean shutdown on SIGINT and SIGTERM (no JACK xruns anymore)
  * Upstream now uses waf as buildsystem, drop autotools.
  * Drop LASH support.
    - We are going to drop LASH in favor of ladish.
  * Set Vcs-* tags properly in debian/control.
  * Remove trailing comma from the Build-Depends field.
  * debian/copyright
    - Update copyright, licensing information.
    - Update to DEP-5 rev.174.
  * Add gbp config file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 May 2011 20:37:56 +0200

=== debian/control ===
Source: gmidimonitor
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	libglade2-dev,
	libjack-dev,
	libasound2-dev,
	pkg-config,
	python
Standards-Version: 3.9.2
Homepage: http://home.gna.org/gmidimonitor/
Vcs-Git: git://git.debian.org/pkg-multimedia/gmidimonitor.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gmidimonitor.git

Package: gmidimonitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ application that shows MIDI events
 GMIDImonitor is GTK+ application that shows MIDI events.
 .
 You need to connect desired source of MIDI events to gmidimonitor
 input using some kind of patchbay like qjackctl, patchage. For
 restoring  connections (not connecting every time) you can use LASH.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WAF = ./waf

%:
	dh $@ 

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean

override_dh_auto_install:
	$(WAF) --destdir=$(CURDIR)/debian/gmidimonitor install

## gmidimonitor 3.5+20110611.git0ca423b0

=== wscript ===
--- 
+++ 
@@ -86,11 +86,6 @@
         args = '--cflags --libs')
 
     ctx.check_cfg(
-        package = 'libglade-2.0',
-        errmsg = "not installed, see http://www.gtk.org/",
-        args = '--cflags --libs')
-
-    ctx.check_cfg(
         package = 'gthread-2.0',
         errmsg = "not installed, see http://www.gtk.org/",
         args = '--cflags --libs')
@@ -135,13 +130,12 @@
         "main.c",
         "about.c",
         "path.c",
-        "glade.c",
         "gm.c",
         "log.c",
         "memory_atomic.c",
         "sysex.c",
         ]
-    uselib = ['GTK+-2.0', 'GTHREAD-2.0', 'LIBGLADE-2.0', 'GMODULE-2.0']
+    uselib = ['GTK+-2.0', 'GTHREAD-2.0', 'GMODULE-2.0']
 
     if ctx.env['BUILD_JACK']:
         source.append("jack.c")
@@ -162,4 +156,4 @@
         uselib = uselib,
         )
 
-    ctx.install_files('${DATA_DIR}', 'gmidimonitor.glade')
+    ctx.install_files('${DATA_DIR}', 'gmidimonitor.ui')

=== debian/changelog ===
gmidimonitor (3.5+20110611.git0ca423b0-1) unstable; urgency=low

  * New upstream git snapshot:
    - libglade -> gtkbuilder migration.
  * Disable alsa on non-linux architectures, attempt to fix FTBFS on
    kfreebsd,hurd.
  * Replace libglade2-dev build-dependency with libgtk2.0-dev.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Jun 2011 12:17:53 +0200

## gmidimonitor 3.6

=== debian/changelog ===
gmidimonitor (3.6-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Add myself as uploader
  * Added icon and desktop file
  * Added man page

  [ Alessio Treglia ]
  * Improve Debian's menu file (add icon field).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 04 Jul 2011 22:43:09 +0200

gmidimonitor (3.6-1) unstable; urgency=low

  * New upstream release:
    - switch from glade to gtkbuilder (Alessio Treglia)
    - fix transient of the about window (Nedko Arnaudov)

 -- Alessio Treglia <alessio@debian.org>  Thu, 16 Jun 2011 13:45:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+ifneq ($(DEB_HOST_ARCH_OS),linux)
+EXTRA_CONFIGURE_ARGS += --alsa=no
+endif
+
 WAF = ./waf
 
 %:
 	dh $@ 
 
 override_dh_auto_configure:
-	$(WAF) configure --prefix=/usr
+	$(WAF) configure --prefix=/usr \
+		$(EXTRA_CONFIGURE_ARGS)
 
 override_dh_auto_build:
 	$(WAF)

=== debian/watch ===
version=3
http://download.gna.org/gmidimonitor/gmidimonitor-(.*)\.tar\.bz2

## gmidimonitor 3.6%2Bdfsg0

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq ($(DEB_HOST_ARCH_OS),linux)
EXTRA_CONFIGURE_ARGS += --alsa=no
endif

WAF = ./waf

%:
	dh $@ 

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr \
		$(EXTRA_CONFIGURE_ARGS)

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find waflib -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) --destdir=$(CURDIR)/debian/gmidimonitor install

## gmidimonitor 3.6+dfsg0

=== wscript ===
--- 
+++ 
@@ -6,7 +6,7 @@
 top = '.'
 out = 'build'
 APPNAME='gmidimonitor'
-VERSION='3.5'
+VERSION='3.6'
 
 optfeatures = {
     'jack': {'description': 'JACK MIDI support',

=== debian/changelog ===
gmidimonitor (3.6+dfsg0-4) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * Update gmidimonitor-alsa.desktop (add French Name & Comment)
  * Update gmidimonitor-jack.desktop (add French Name & Comment)
  * Update copyright (http -> https)
  * Update copyright (add myself)

  [ Dmitry Baryshkov ]
  * d/patches: switch to Waf 2.0.20
  * d/control, d/rules: use python3 for building (Closes: #967137, #943041)
  * d/patches, d/control: switch to using Gtk3 (Closes: #967433)

 -- Dmitry Baryshkov  <dbaryshkov@gmail.com>  Mon, 28 Sep 2020 20:20:07 +0200

gmidimonitor (3.6+dfsg0-3) unstable; urgency=medium

  * Set dh 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Drop menu file.
  * Fix hardening.
  * Fix spelling in man page.
  * Add .gitignore file.
  * Add Keywords entry to destop files.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 04:18:15 +0100

gmidimonitor (3.6+dfsg0-2) unstable; urgency=low

  * Team upload.
  * debian/copyright:
    - Update to copyright format 1.0
    - Add missing GPL-2+ license stanza.
  * Remove myself from the Uploaders field.
  * Update Vcs fields to meet the canonical form.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Oct 2013 10:29:37 +0100

gmidimonitor (3.6+dfsg0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * added local-option file

  [ Alessio Treglia ]
  * Fix small mistake in debian/copyright.
  * Repack upstream tarball to get rid of the blob 'waf' (Closes: #654469)
  * debian/rules:
    - Don't call waf distclean anymore, use ./waf clean + prune of
      *.pyc files.
  * debian/watch: mangle Debian's versioning.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Jan 2012 16:36:42 +0100

=== debian/control ===
Source: gmidimonitor
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 10),
 libasound2-dev,
 libgtk-3-dev,
 libjack-dev,
 pkg-config,
 python3
Standards-Version: 3.9.8
Homepage: http://home.gna.org/gmidimonitor/
Vcs-Git: https://salsa.debian.org/multimedia-team/gmidimonitor.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/gmidimonitor

Package: gmidimonitor
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: GTK+ application that shows MIDI events
 GMIDImonitor is GTK+ application that shows MIDI events.
 .
 You need to connect desired source of MIDI events to gmidimonitor
 input using some kind of patchbay like qjackctl, patchage. For
 restoring  connections (not connecting every time) you can use LASH.

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 EXTRA_CONFIGURE_ARGS += --alsa=no
 endif
 
-WAF = ./waf
+WAF = python3 ./waf
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_configure:
 	$(WAF) configure --prefix=/usr \
